Modern ObjC compatibility with older iOS?

Discussion in 'iOS Programming' started by 1458279, Jun 23, 2012.

  1. 1458279 Suspended

    1458279

    Joined:
    May 1, 2010
    Location:
    California
    #1
    I'm watching the new 2012 'Modern ObjC' videos, this looks great, but I'm concerned about if this new stuff is supported on older iOS platforms.

    Specifically, if you update everything to use all these new ObjC things, will your app work on older iOS platforms?

    I know the API specific stuff can be restrictive to an iOS platform, but this really isn't API, it's compiler changes.

    BTW, the new ObjC stuff looks really interesting.
     
  2. 1458279 thread starter Suspended

    1458279

    Joined:
    May 1, 2010
    Location:
    California
    #2
    Session 405 @29:50: "... they work on older OS's too, it's all binary compatible"

    So it looks like it'll work!
     
  3. admanimal macrumors 68040

    Joined:
    Apr 22, 2005
    #3
    It's obviously important to check the documentation for the specifics of these things. Sometimes there are small but important differences when using them on older platforms.
     
  4. firewood macrumors 604

    Joined:
    Jul 29, 2003
    Location:
    Silicon Valley
    #4
    Using ObjC blocks and ARC is incompatible with the newest OS that the 1st gen iPod Touch and iPhone 1G and 3G can run.
     
  5. 1458279 thread starter Suspended

    1458279

    Joined:
    May 1, 2010
    Location:
    California
    #5
    I figured there'd be some restrictions.
     

Share This Page